BLAS/SRC/drot.f(3)

NAME
BLAS/SRC/drot.f

SYNOPSIS

  Functions/Subroutines
subroutine drot (n, dx, incx, dy, incy, c, s)
DROT

Function/Subroutine Documentation

  subroutine drot (integer n, double precision, dimension(*) dx, integer incx, double precision, dimension(*) dy, integer incy, double precision c, double precision s)

DROT

Purpose:

    !>
    !>    DROT applies a plane rotation.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    DX

    !>          DX is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of DX
    !>

    DY

    !>          DY is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCY ) )
    !>

    INCY

    !>          INCY is INTEGER
    !>         storage spacing between elements of DY
    !>

    C

    !>          C is DOUBLE PRECISION
    !>

    S

    !>          S is DOUBLE PRECISION
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 3/11/78.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 91 of file drot.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.